# Create Project With A New Product

Creates a new project within a new product. If project name exists will return existing project

Endpoint: POST /api/v2.0/orgs/{orgToken}/projects
Version: 2.0
Security: bearer-key

## Security:

  - `bearer-key` (unknown)
    http bearer JWT

## Path parameters:

  - `orgToken` (string, required)
    org UUID (by running Entities - Organization > Get User Organizations) or API Key (from the Mend SCA App: **Integrate** tab > **API Key**).

## Request fields (application/json):

  - `projectName` (string, required)
    Example: Project A

  - `projectDescription` (string)
    Example: Description for project

  - `productName` (string)
    Example: Product A

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `additionalData` (object)
    + **created**: Indicates whether the requested project was successfully created or if it already exists.
When “true”, this signifies the project was successfully created. When “false”, this indicates the project already exists
    Example: {"created":"true"}

  - `supportToken` (string)
    Example: 1171c60d

  - `retVal` (object)

  - `retVal.project` (object)

  - `retVal.project.uuid` (string)
    Example: 123e4567-e89b-12d3-a456-426655440000

  - `retVal.project.name` (string)
    Example: My Project

  - `retVal.project.path` (string)
    Example: My Product

  - `retVal.project.productName` (string)
    Example: My Product

  - `retVal.project.productUuid` (string)
    Example: 123e4567-e89b-12d3-a456-426655440000

  - `retVal.product` (object)

  - `retVal.product.uuid` (string)
    Example: 123e4567-e89b-12d3-a456-426655440000

  - `retVal.product.name` (string)
    Example: Product A

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: 1171c60d

